pcl::_PointXYZINormal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZINormal:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
float intensity
float curvature
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 934 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_PointXYZINormal::curvature

Definition at line 943 of file point_types.hpp.

Referenced by pcl::PointXYZINormal::PointXYZINormal().

float pcl::_PointXYZINormal::data_c[4]

Definition at line 945 of file point_types.hpp.

float pcl::_PointXYZINormal::intensity

Definition at line 942 of file point_types.hpp.

Referenced by pcl::PointXYZINormal::PointXYZINormal().

pcl::_PointXYZINormal::PCL_ADD_NORMAL4D

Definition at line 937 of file point_types.hpp.

pcl::_PointXYZINormal::PCL_ADD_POINT4D

Definition at line 936 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp